Subject: Re: bug#16006: 24.3; *grep* fails to display line numbers with global-linum-mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Dec 2013 12:50:10 -0500

> Note that only the first four lines of the *grep* buffer have line
> numbers when all the visible lines should have line numbers.  Switching
> to the new *grep* buffer dones make the line numbers appear.

Indeed linum.el suffers from various corner case problems.  Maybe this
one is fixed in Emacs trunk, or maybe it can be fixed.  But the
implementation technique used by linum.el has proved over the years to
lead to many such corner case issues.

I suggest you try out nlinum.el (available in GNU ELPA) which provides
basically the same functionality as linum.el but using a different
implementation approach, which is more robust.

        Stefan